## ros-indigo-face-detector 1.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(face_detector)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  geometry_msgs
  std_srvs
  cv_bridge
  stereo_msgs
  sensor_msgs
  tf
  rosbag
  image_transport
  people_msgs
  image_geometry
  actionlib
  actionlib_msgs
  message_generation
  rospy
  roslib)

find_package(Boost REQUIRED COMPONENTS signals system thread)
find_package(OpenCV)

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS})

add_action_files(
  DIRECTORY action
  FILES FaceDetector.action
)
generate_messages(DEPENDENCIES actionlib_msgs people_msgs)

catkin_package(INCLUDE_DIRS include
  CATKIN_DEPENDS people_msgs 
                 geometry_msgs 
                 actionlib_msgs 
                 stereo_msgs
                 sensor_msgs
                 std_msgs
                 message_runtime)

add_executable(face_detector
                       src/face_detection.cpp 
                       src/faces.cpp)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${OpenCV_LIBRARIES})

add_dependencies(face_detector ${PROJECT_NAME}_generate_messages_cpp)


install(TARGETS
  face_detector
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/face_detector/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(DIRECTORY launch param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/
)

# if(CATKIN_ENABLE_TESTING)
#   find_package(rostest REQUIRED)

#   catkin_download_test_data(${PROJECT_NAME}_face_detector_noface_test_diamondback.bag
#     http://download.ros.org/data/face_detector/face_detector_noface_test_diamondback.bag
#     DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
#     MD5 37f043be780a4511c853379defdd9855)
#   catkin_download_test_data(${PROJECT_NAME}_ace_detector_withface_test_diamondback.bag
#     http://download.ros.org/data/face_detector/face_detector_withface_test_diamondback.bag
#     DESTINATION ${CATKIN_DEVEL_PREFIX}/${CATKIN_PACKAGE_SHARE_DESTINATION}/test
#     MD5 59126117e049e69d577b7ee27251a6f8)

#   add_rostest(test/face_detector_true_rtest.xml)
#   add_rostest(test/face_detector_false_rtest.xml)
# endif()

=== debian/changelog ===
ros-indigo-face-detector (1.0.10-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 19 Sep 2015 16:48:04 -0000

ros-indigo-face-detector (1.0.9-0trusty) trusty; urgency=high

  * Install missing param directory: face_detector.rgbd.launch fails due to the param folder.
  * Contributors: Isaac I.Y. Saito

 -- Dan Lazewatsky <dan@lazewatsky.com>  Tue, 01 Sep 2015 04:00:00 -0000

ros-indigo-face-detector (1.0.8-0trusty) trusty; urgency=high

  * cleanup formatting with astyle (supersedes #18 <https://github.com/wg-perception/people/issues/18>)
  * centrally reference cascade from standalone opencv (addresses #15 <https://github.com/wg-perception/people/issues/15>)
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Wed, 10 Dec 2014 05:00:00 -0000

ros-indigo-face-detector (1.0.3-0trusty) trusty; urgency=high

  * fix message generation
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Sat, 01 Mar 2014 05:00:00 -0000

ros-indigo-face-detector (1.0.2-0trusty) trusty; urgency=high

  * update to properly generate messages
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Fri, 28 Feb 2014 05:00:00 -0000

ros-indigo-face-detector (1.0.1-0trusty) trusty; urgency=high

  * update some remappings to deal with the changed openni message api
  * convert 16FC1 depth images to 32FC1 and scale to get meters
  * switch constants to defines to get rid of linker issues for catkin switch
  * catkinizing
  * Contributors: Dan Lazewatsky

 -- Dan Lazewatsky <dan@lazewatsky.com>  Thu, 27 Feb 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-face-detector
Section: misc
Priority: extra
Maintainer: Dan Lazewatsky <dan@lazewatsky.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-people-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-stereo-msgs, ros-indigo-tf
Homepage: http://ros.org/wiki/face_detector
Standards-Version: 3.9.2

Package: ros-indigo-face-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-image-geometry, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-openni-launch, ros-indigo-people-msgs, ros-indigo-rosbag, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-stereo-msgs, ros-indigo-tf
Description: Face detection in images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-face-detector//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
